English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75516 CVE descriptions
and 39786 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.51377
Category:Conectiva Local Security Checks
Title:Conectiva Security Advisory CLA-2004:884
Summary:Conectiva Security Advisory CLA-2004:884
Description:
The remote host is missing updates announced in
advisory CLA-2004:884.

Gaim[1] is a multi-protocol instant messaging (IM) client.

This announcement fixes several denial of service and buffer overflow
vulnerabilities that were encountered in Gaim.

The fixed vulnerabilities are:

CVE-2004-0500[2]: Buffer overflow in the MSN protocol plugins
object.c and slp.c allows remote attackers to cause a denial of
service and possibly execute arbitrary code via MSNSLP protocol
messages that are not properly handled in a strncpy call.

CVE-2004-0754[3]: Integer overflow in Gaim allows remote attackers to
cause a denial of service and possibly execute arbitrary code via the
size variable in Groupware server messages.

CVE-2004-0784[4]: The smiley theme functionality in Gaim allows
remote attackers to execute arbitrary commands via shell
metacharacters in the filename of the tar file that is dragged to the
smiley selector.

CVE-2004-0785[5]: Multiple buffer overflows in Gaim allow remote
attackers to cause a denial of service and possibly execute arbitrary
code via Rich Text Format (RTF) messages, a long hostname for the
local system as obtained from DNS, or a long URL that is not properly
handled by the URL decoder.

For further informations on Gaim's vulnerabilities, please refer to
the project's security page[6].


Solution:
The apt tool can be used to perform RPM package upgrades
by running 'apt-get update' followed by 'apt-get upgrade'

http://gaim.sourceforge.net/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0500
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0754
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0784
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0785
http://gaim.sourceforge.net/security/
http://www.securityspace.com/smysecure/catid.html?in=CLA-2004:884
http://distro.conectiva.com.br/atualizacoes/index.php?id=a&anuncio=002004

Risk factor : High
Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2004-0500
http://www.fedoranews.org/updates/FEDORA-2004-278.shtml
http://www.fedoranews.org/updates/FEDORA-2004-279.shtml
http://www.gentoo.org/security/en/glsa/glsa-200408-12.xml
http://www.gentoo.org/security/en/glsa/glsa-200408-27.xml
http://www.mandrakesecure.net/en/advisories/advisory.php?name=MDKSA-2004:081
http://www.redhat.com/support/errata/RHSA-2004-400.html
SuSE Security Announcement: SUSE-SA:2004:025 (Google Search)
http://www.novell.com/linux/security/advisories/2004_25_gaim.html
BugTraq ID: 10865
http://www.securityfocus.com/bid/10865
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9429
XForce ISS Database: gaim-msn-bo(16920)
http://xforce.iss.net/xforce/xfdb/16920
Common Vulnerability Exposure (CVE) ID: CVE-2004-0754
BugTraq ID: 11056
http://www.securityfocus.com/bid/11056
http://www.osvdb.org/9260
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:10220
http://securitytracker.com/id?1011083
http://secunia.com/advisories/12383
http://secunia.com/advisories/12480
http://secunia.com/advisories/13101
XForce ISS Database: gaim-groupware-integer-overflow(17140)
http://xforce.iss.net/xforce/xfdb/17140
Common Vulnerability Exposure (CVE) ID: CVE-2004-0784
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:10008
XForce ISS Database: gaim-smiley-command-execution(17144)
http://xforce.iss.net/xforce/xfdb/17144
Common Vulnerability Exposure (CVE) ID: CVE-2004-0785
http://www.osvdb.org/9261
http://www.osvdb.org/9262
http://www.osvdb.org/9263
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:10907
http://secunia.com/advisories/12929
XForce ISS Database: gaim-hostname-bo(17142)
http://xforce.iss.net/xforce/xfdb/17142
XForce ISS Database: gaim-rtf-bo(17141)
http://xforce.iss.net/xforce/xfdb/17141
XForce ISS Database: gaim-url-bo(17143)
http://xforce.iss.net/xforce/xfdb/17143
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 39786 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.